{"title":"Delete picture (v1.0)","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v1.0/api/dynamics_picture_delete/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_picture_delete, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_picture_delete","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"(v1.0) A picture object in Dynamics 365 Business Central.","date":"2024-05-01","meta":{"topic":"reference"},"outline":[{"level":1,"title":"Delete picture (v1.0)","slug":"delete-picture-v10","at":0,"chars":1571},{"level":2,"title":"HTTP request","slug":"http-request","at":107,"chars":526},{"level":2,"title":"Request headers (v1.0)","slug":"request-headers-v10","at":633,"chars":227},{"level":2,"title":"Request body (v1.0)","slug":"request-body-v10","at":860,"chars":69},{"level":2,"title":"Response (v1.0)","slug":"response-v10","at":929,"chars":185},{"level":2,"title":"Example (v1.0)","slug":"example-v10","at":1114,"chars":222},{"level":2,"title":"Related information","slug":"related-information","at":1336,"chars":235}],"text":"# Delete picture (v1.0)\nDeletes the properties and relationships of a picture object for Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nDELETE businesscentralPrefix/companies({companyId})/items({itemId})/picture({pictureId})\nDELETE businesscentralPrefix/companies({companyId})/vendors({vendorId})/picture({pictureId})\nDELETE businesscentralPrefix/companies({companyId})/employees({employeeId})/picture({pictureId})\nDELETE businesscentralPrefix/companies({companyId})/customers({customerId})/picture({pictureId})\n```\n## Request headers (v1.0)\nHeader|Value\nAuthorization|Bearer {token}. Required.\nIf-Match|When this request header is included and the eTag provided does not match the current tag on the picture, the picture will not be updated.\n## Request body (v1.0)\nDo not supply a request body for this method.\n## Response (v1.0)\nIf successful, this method returns a `204 No Content` response code. It does not return anything in the response body.\nThe metadata will be updated on the same link.\n## Example (v1.0)\nRequest\nHere is an example of the request.\n```json\nDELETE https://api.businesscentral.dynamics-tie.com/v1.0/api/v1.0/companies(companyId)/customers(customerId)/picture(pictureId)\n```\nResponse\nNo content.\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../dynamics_error_codes\n../resources/dynamics_picture\ndynamics_picture_get\ndynamics_picture_update\nPost Picture<dynamics_create_picture>"}